### Constructor

# Ggit Signature new

#### Declaration [src]

    GgitSignature*
    ggit_signature_new (
      const gchar* name,
      const gchar* email,
      GDateTime* signature_time,
      GError** error
    )

#### Description [src]

Creates a new `GgitSignature`. Name and e-mail are assumed to be in UTF-8.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the person.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`email`

  Type: `const gchar*`

  The email of the person.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`signature_time`

  Type: `GDateTime`

  The time when the action happened.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitSignature`

A newly allocated `GgitSignature` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.